/*
** Create the default folder (inbox)
*/
- cp = toabsdir(defaultfolder);
+ cp = toabsdir(getdeffol());
if (stat(cp, &st) == -1) {
if (!makedir(cp)) {
adios(EX_CANTCREAT, cp, "Unable to create the default folder");
--- /dev/null
+#!/bin/sh
+######################################################
+#
+# Test the creation of the inbox
+#
+######################################################
+
+export MMHP="$MH_TEST_DIR/profile2"
+rm -rf "$MH_TEST_DIR/Mail2"
+printf "Path: %s\n" "$MH_TEST_DIR/Mail2" > "$MMHP"
+
+< /dev/null | folder > /dev/null
+if [ ! -d "$MH_TEST_DIR/Mail2" ]; then
+ exit 1
+fi
+
+if [ ! -d "$MH_TEST_DIR/Mail2/inbox" ]; then
+ exit 1
+fi
+
+folder -create +test > /dev/null
+rmdir "$MH_TEST_DIR/Mail2/inbox"
+
+printf "inbox: testinbox\n" >> $MMHP
+< /dev/null | folder > /dev/null
+if [ ! -d "$MH_TEST_DIR/Mail2/testinbox" ]; then
+ exit 1
+fi
+
+if [ -d "$MH_TEST_DIR/Mail2/inbox" ]; then
+ exit 1
+fi